org.eclipse.rdf4j.repository

## Class SparqlSetBindingTest

- java.lang.Object
- - org.eclipse.rdf4j.repository.SparqlSetBindingTest

-     public abstract class SparqlSetBindingTest
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `queryBinding`
    `String` | `queryBindingSubselect`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SparqlSetBindingTest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Repository` | `createRepository()`
    `protected abstract Repository` | `newRepository()`
    `void` | `setUp()`
    `static void` | `setUpClass()`
    `void` | `tearDown()`
    `void` | `testBinding()`
    `void` | `testBindingSubselect()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### queryBinding

          public String queryBinding

    - #### queryBindingSubselect

          public String queryBindingSubselect

  - ### Constructor Detail

    - #### SparqlSetBindingTest

          public SparqlSetBindingTest()

  - ### Method Detail

    - #### setUpClass

          public static void setUpClass()
                                 throws Exception

      Throws:
        `Exception`

    - #### testBinding

          public void testBinding()
                           throws Exception

      Throws:
        `Exception`

    - #### testBindingSubselect

          public void testBindingSubselect()
                                    throws Exception

      Throws:
        `Exception`

    - #### setUp

          public void setUp()
                     throws Exception

      Throws:
        `Exception`

    - #### createRepository

          protected Repository createRepository()
                                         throws Exception

      Throws:
        `Exception`

    - #### newRepository

          protected abstract Repository newRepository()
                                               throws Exception

      Throws:
        `Exception`

    - #### tearDown

          public void tearDown()
                        throws Exception

      Throws:
        `Exception`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.